[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.CreateWnd

Creates the window handle for the control.

## Declaration

Source position: forms.pp line 182

`protected procedure TScrollingWinControl.CreateWnd; override;`

## Description

Ensures that the scroll bar page, range, and visibility are assigned when the handles for the windowed control are created. Temporarily disables auto-sizing in the method, and re-enables auto-sizing prior to exit. Calls the inherited method to create the window and its handles.

## See also

TScrollingWinControl.UpdateScrollBars |  | Initializes or updates the scroll bars for the control.
TWinControl.CreateWnd |  | Creates the interface object (widget) and assigns the value in Handle.